Managing dependencies on Linux and Windows

Information about the dependencies Enclave has on both the Linux and Microsoft Windows platforms.

Managing dependencies on Linux and Windows

Last Updated: February 4, 2020

Like most software, Enclave takes advantage of existing libraries and third party code. Enclave also requires certain packages, or prerequisite dependencies to be present in order to function. This document describes those dependencies and explains how those prerequisites are kept up to date.

For information about the third party code and libraries compiled into Enclave please review our Open Source Software Licenses page which contains information about the open-source we use and their accompanying licenses.

Note: .NET applications such as Enclave are compiled targeting a specific version of the framework. Enclave targets version 4.5 for backwards compatibility with older platforms.

Accordingly, Enclave (and applications built with .NET) do not encounter the same version confusion difficulties that some other languages can experience when multiple versions are installed on the same system. It is safe to install multiple versions of the .NET Framework and .NET Core onto the same system without adversely affecting Enclave.

Microsoft Windows prerequisites

Dependency Version Details
Microsoft .NET Framework Version 4.5 Installed by Microsoft Windows. Updated and managed by Windows Update.
Microsoft Visual C++ Runtime Visual Studio 2015 or above (MSVC++ 14.0) Installed by Enclave. Updated and managed by Windows Update.
Enclave Tap6 Driver 1.0.1.6 (2018.04.21) Installed by Enclave. Updated and managed by Enclave. License

Ubuntu prerequisites

Package Version Details
tzdata apt latest Installed by Enclave. Managed and updated by aptitude (apt).
ntpdate apt latest Installed by Enclave. Managed and updated by aptitude (apt).
unzip apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libsodium-dev apt latest Installed by Enclave. Managed and updated by aptitude (apt).
wget apt latest Installed by Enclave. Managed and updated by aptitude (apt).
mono-runtime apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-compilerservices-symbolwriter4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-microsoft-csharp4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-core4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-data4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-management4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-net4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-numerics4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-runtime-serialization4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
libmono-system-xml-linq4.0-cil apt latest Installed by Enclave. Managed and updated by aptitude (apt).
ca-certificates-mono apt latest Installed by Enclave. Managed and updated by aptitude (apt).

CentOS prerequisites

Package Version Details
tzdata yum latest Installed by Enclave. Managed and updated by yum.
ntpdate yum latest Installed by Enclave. Managed and updated by yum.
unzip yum latest Installed by Enclave. Managed and updated by yum.
libsodium-1.0.18-1.el7.x86_64 1.0.18-1.el7 Installed by Enclave. Currently unmanaged after installation.
wget apt latest Installed by Enclave. Managed and updated by yum.
mono-core yum latest Installed by Enclave. Managed and updated by yum.